Bug 37153 - List all available app IDs
List all available app IDs
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 08:04 CET by Moritz Muehlenhoff
Modified: 2015-01-29 11:47 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-12-03 08:04:58 CET
If someone wants to install an application on the command line, the ID of the app needs to be known.

univention-add-app should have an option "--list" which displays the IDs of all available apps.
Comment 1 Dirk Wiesenthal univentionstaff 2014-12-06 22:54:52 CET
Fixed in
  univention-updater 10.0.51-6.1347.201412062248

univention-add-app --list
univention-add-app ucc --list
Comment 2 Felix Botner univentionstaff 2014-12-09 10:25:04 CET
* please sort the list by  id
* disable log messages
Comment 3 Dirk Wiesenthal univentionstaff 2014-12-09 13:05:40 CET
(In reply to Felix Botner from comment #2)
> * please sort the list by  id

OK

> * disable log messages

This only works by manipulating a private variable but I guess it's fine for now

Fixed in
  univention-management-console-module-appcenter 4.1.19-5.306.201412091258
  univention-updater 10.0.51-7.1348.201412091253
Comment 4 Felix Botner univentionstaff 2014-12-09 15:39:27 CET
OK - list (all) apps
OK - YAML
Comment 5 Moritz Muehlenhoff univentionstaff 2015-01-13 11:26:44 CET
http://errata.univention.de/ucs/4.0/22.html
Comment 6 Janek Walkenhorst univentionstaff 2015-01-29 11:47:18 CET
<http://errata.univention.de/ucs/4.0/53.html>